> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Set shipping destination

> Select a saved shipping address or use the billing address.



## OpenAPI

````yaml put /v1/customers/{customerId}/shipping
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/{customerId}/shipping:
    put:
      tags:
        - Customers > Shipping
      summary: Set shipping destination
      description: Select a saved shipping address or use the billing address.
      operationId: setCustomerShippingDestination
      parameters:
        - schema:
            type: string
          required: true
          name: customerId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetShippingDestination'
      responses:
        '204':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    SetShippingDestination:
      oneOf:
        - type: object
          properties:
            destination:
              type: string
              enum:
                - billing_address
              description: >-
                Whether shipping uses the billing address or a saved shipping
                address.
          required:
            - destination
          additionalProperties: false
        - type: object
          properties:
            destination:
              type: string
              enum:
                - shipping_address
              description: >-
                Whether shipping uses the billing address or a saved shipping
                address.
            address_id:
              type: string
              minLength: 1
              description: >-
                Active shipping address ID belonging to this customer. Uses the
                customer's default shipping address when omitted. A shipping
                address must exist.
              example: cad_abc123
          required:
            - destination
          additionalProperties: false
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````